rm(list=ls())
options(warn=-1)
library(np)

setwd("C:/your_working_directory")
load(file="PSID.Rdata")
attach(datos)
bw1 <- npregbw(formula=income~
              ordered(state)+
              factor(edu)+
              ordered(round(exp(logsize)))+
              age
              ,nmulti=10,ukertype="liracine",okertype="liracine")
save(datos,bw1,file="bw1.Rdata")
detach(datos)

attach(datos)
bw2 <- npregbw(formula=d~
              ordered(state)+
              factor(edu)+
              ordered(round(exp(logsize)))+
              age
              ,nmulti=10,ukertype="liracine",okertype="liracine")
save(datos,bw2,file="bw2.Rdata")
detach(datos)